Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua

# Class Quaqua14ColorChooserUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ColorChooserUI
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua13ColorChooserUI
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua14ColorChooserUI

Direct Known Subclasses:
  `SubstanceColorChooserUI`

public class Quaqua14ColorChooserUI extends Quaqua13ColorChooserUI
QuaquaColorChooserUI with enhancements for Java 1.4.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Quaqua14ColorChooserUI.PropertyHandler`

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua13ColorChooserUI

`chooser, defaultChoosers, mainPanel, previewListener, previewPanel, propertyChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`Quaqua14ColorChooserUI()`

## Method Summary

Modifier and Type
Method
Description
`protected PropertyChangeListener`
`createPropertyChangeListener()`
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`protected void`
`installPreviewPanel()`
`void`
`installUI(JComponent c)`
`protected void`
`uninstallDefaults()`
`protected void`
`uninstallListeners()`

### Methods inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua13ColorChooserUI

`createDefaultChoosers, uninstallDefaultChoosers, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Quaqua14ColorChooserUI

public Quaqua14ColorChooserUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `Quaqua13ColorChooserUI`

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `Quaqua13ColorChooserUI`

### uninstallDefaults

protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `Quaqua13ColorChooserUI`

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `Quaqua13ColorChooserUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `Quaqua13ColorChooserUI`

### installPreviewPanel

protected void installPreviewPanel()

Overrides:
  `installPreviewPanel` in class `Quaqua13ColorChooserUI`

### createPropertyChangeListener

protected PropertyChangeListener createPropertyChangeListener()

Overrides:
  `createPropertyChangeListener` in class `Quaqua13ColorChooserUI`